{% extends "../index.htm" %}
{% load i18n %}  
{% load static %}

{% block htmlData %}
    <link rel='stylesheet' type='text/css' href='{% static "css/span.css" %}' rel='stylesheet'/>

    <script src='{% static "js/messageStuff.js" %}'></script>
    <script src='{% static "js/otherStuff.js" %}'></script>
    
    <script src='{% static "js/search/bootstrap.min.js" %}'></script>
    <script src='{% static "js/search/bootbox.min.js" %}'></script>
    <script src='{% static "js/search/script.js" %}'></script>
    <script src='{% static "js/search/search.js" %}'></script>
    <script type="text/javascript">       
        $(function() {
            $("#subscribedguid").chosen({
                placeholder_text_multiple:  translateThis('chooseGroups'),
                width: "95%"
            }); 
        });                   
    </script>  

    <script>
        var mySubscribedguid    = {{ subscribedguid|safe }} ;
        var myAvailableSubscribedguid = null ;
    </script>
    
    <div style='display: none'>
        <input type="text" id="sessInfo" value="{{ user.uuid }};{{ token }};{{user.nbOfDays}};-1">
    </div>
    
    <div class="w3-row" style='height: 100%;'>
        <!-- Alerts & Favorites -->
        <div class="w3-col w3-hide-medium w3-hide-small w3-margin-left w3-margin-top w3-margin-right" style="width: 550px">   
            <div class="" >
                <span id='darkGrey' class='' onclick="showHideWithIcon('messageOnly')"><span id='deploy-messageOnly'> <i class="far fa-minus-square"></i></span>  {% trans 'searchInMessages' %} </span> 
                <section class="bs-docs-section clearfix" id="messageOnly">
                    <div class="col-md-12">
                        <div id="builder-message"></div>

                        <div class="btn-group">
                        <button class="btn btn-warning reset" data-target="message">{% trans 'Reset' %}</button>
                        </div>

                        <div class="btn-group">
                        <button class="btn btn-success set-mongo" data-target="message">{% trans 'InitRules' %}</button>
                        </div>

                        <div class="btn-group">
                        <button class="btn btn-primary parse-mongo" data-target="message">{% trans 'Search' %}</button>
                        </div>
                    </div>
                </section>
            </div>
            <div class="clearfix" style='height: 20px'> </div>
            <div class="" >
                <span id='darkGrey' class='' onclick="showHideWithIcon('fulltext')"><span id='deploy-fulltext'> <i class="far fa-plus-square"></i> </span> {% trans 'searchInAttachments' %} </span></span>
                <section class="bs-docs-section clearfix" id="fulltext" style="display: none">
                    <div class="col-md-12">
                        <div id="builder-fulltext"></div>

                        <div class="btn-group">
                        <button class="btn btn-warning reset" data-target="fulltext">{% trans 'Reset' %}</button>
                        </div>

                        <div class="btn-group">
                        <button class="btn btn-success set-mongo" data-target="fulltext">{% trans 'InitRules' %}</button>
                        </div>

                        <div class="btn-group">
                        <button class="btn btn-primary parse-mongo" data-target="fulltext">{% trans 'Search' %}</button>
                        </div>
                    </div>
                </section>
            </div>
            
        </div>
        
        <div class="w3-rest">
        
            <!-- email list pannel -->
            <div class="w3-third w3-card-4 w3-margin-top w3-margin-bottom w3-margin-right" style="width: 375px">
                <div id='msgList'>
                    <!-- tool box -->
                    <div class="w3-bar w3-blue" style="height:20px;">
                        <div class="w3-bar-item w3-left" style='font-weight: bolder;'><i class="fas fa-list"></i> {% trans 'results' %}</div>
                    </div>
               
                    <!-- email list -->
                    <div style="max-height: 630px; overflow-y:auto;">
                        <ul class="w3-ul" id="ulMessageList" >
                            {% for msg in Messages %}
                            <li class="w3-bar w3-border-left-blue" 
                                    {% if  msg.defaultColor %}
                                        style='border-color:{{ msg.defaultColor }}!important'
                                    {% endif %}    
                                    draggable="true" ondragstart="return dragStart(event)"  id='{{ msg.uuid }}'>
                                
                               
                                
                                {% if msg.status == 'read' %}
                                    <div class="w3-bar-item" id='readStatus-{{ msg.uuid }}' >
                                {% else %}
                                    <div class="w3-bar-item-bold" id='readStatus-{{ msg.uuid }}'>
                                {% endif %}
                                     <div class="w3-row" style='padding-bottom: 5px;'>
                                        <div class="w3-col s1">
                                            {% if msg.outBound == True %}
                                                <i class="fas fa-upload " style='color: red;'></i>
                                            {% else %}
                                                <i class="fas fa-download " style='color: blue;'></i>
                                            {% endif %}
                                            {% if msg.dispatched == True %}
                                            {% else %}
                                                <i class="fas fa-share-alt fa-blink " id='shareStatus-{{ msg.uuid }}' style='color: red;'></i>
                                            {% endif %}
                                        </div>
                                        <div class="w3-col s11 w3-small" style="font-weight: bolder">
                                            <a href='#' onclick="displayMsgDetails('{{ user.uuid }}', '{{ msg.uuid }}', '{{ token }}')">
                                                {{ msg.subject }}                                             
                                            </a>
                                        </div>

                                    </div> 
                               
                                    <div class="w3-row" style='padding-bottom: 5px;'>
                                        <div class="w3-col s1">                                       
                                            {% if msg.attachment == True %}
                                                <i class="fas fa-paperclip"></i>
                                            {% endif %}
                                            
                                            {% if msg.x_priority == '1' %} <i class="fas fa-exclamation-circle" style='color: red;'></i> {% endif %}
                                            {% if msg.x_priority == '2' %} <i class="fas fa-exclamation-circle" style='color: orange;' ></i>{% endif %}
                                            
                                        </div>
                                        <div class="w3-col s11 w3-small w3-text-indigo">
                                                {{ msg.fromPretty }}
                                        </div>
                                    </div> 
                                    <span class="w3-date-left w3-small" style='font-weight: bolder; font-color:#00008B!important;'>Chrono: {{ msg.chrono }}</span>
                                    <span class="w3-date-right w3-small "><script> printPrettyLocalDatetimeFromMicrotimestp({{ msg.date }}, 'UTC')</script></span>
                                </div>
                            </li>
                            {% endfor %}
                        </ul>
                    </div>
                    
                </div>
            </div>


            <!-- Contenu du message -->
            <div class="w3-rest w3-hide-small w3-card-4 w3-margin">
                <div id='msgDetails' style="display:none"> 
                    <div class="w3-bar w3-light-grey">
                        <button class="w3-bar-item-toolbox w3-button tablink w3-blue" id='tabMsg' onclick="openTab(event, 'message')"><i class="far fa-envelope-open fa-lg"></i> <font class="w3-hide-small w3-hide-medium"> {% trans 'Message' %}</font></button>
                        <button class="w3-bar-item-toolbox w3-button tablink" onclick="openTab(event, 'info')"><i class="fas fa-info fa-lg"></i> <font class="w3-hide-small w3-hide-medium "> {% trans 'Informations' %}</font></button>
                        <button class="w3-bar-item-toolbox w3-button tablink" onclick="openTab(event, 'attachment')"><i class="fas fa-paperclip fa-lg"></i> <font class="w3-hide-small w3-hide-medium "> {% trans 'Attachments' %}</font></button>
                        <button class="w3-bar-item-toolbox w3-button tablink" onclick="openTab(event, 'share')"><i class="fas fa-share-alt fa-lg"></i> <font class="w3-hide-small w3-hide-medium "> {% trans 'Share' %}</font></button>
                        <button class="w3-bar-item-toolbox w3-button tablink" onclick="openTab(event, 'access')"><i class="fas fa-eye fa-lg"></i> <font class="w3-hide-small w3-hide-medium "> {% trans 'Access' %}</font></button>
                        <button class="w3-bar-item-toolbox w3-button tablink" onclick="openTab(event, 'alert')"><i class="fas fa-user-clock fa-lg"></i> <font class="w3-hide-small w3-hide-medium "> {% trans 'Alert' %}</font></button>
                        <button class="w3-bar-item-toolbox w3-button tablink" onclick="openTab(event, 'comment')"><i class="far fa-comments fa-lg"></i> <font class="w3-hide-small w3-hide-medium "> {% trans 'Comment' %}</font></button>
<!--                         <button class="w3-bar-item-toolbox w3-button tablink" onclick="openTab(event, 'tag')"><i class="fas fa-tags fa-lg"></i> <font class="w3-hide-small w3-hide-medium "> {% trans 'Tag' %}</font></button> -->
                        <button class="w3-bar-item-toolbox w3-button" onclick="Print()"><i class="fas fa-print"></i> <span class="w3-hide-small w3-hide-medium "> {% trans 'Print' %} </font></button>
                        
                        {% if role == 'domain' or role == 'dispatcher' %}
                            <button class="w3-bar-item-toolbox w3-button" onclick="Delete()"><i class="fas fa-trash fa-lg" style="color: red;"></i> <font class="w3-hide-small w3-hide-medium "> {% trans 'Delete' %}</font></button>
                        {% endif %}
                    </div> 
        
                    <div class='tab' id='message' style=''>
                        <br>
                    </div>
                    
                    <div class='tab' id='info' style="display:none">
                        <br>
                    </div>
                    
                    <div class='tab' id='attachment' style="display:none">
                        <br>
                    </div>
                    
                    <div class='tab' id='share' style="display:none">
                        <br>
                    </div>
            
                    <div class='tab' id='access' style="display:none">
                        <br>
                    </div>
            
                    <div class='tab' id='alert' style="display:none">
                        <br>
                    </div>
            
                    <div class='tab' id='comment' style="display:none">
                        <br>
                    </div>
                    
                    <div style="display:none"> 
                        <input type='text' name='domain' id='domainid' value='{{ user.domain }}'>
                        <input type='text' name='userRole' id='userRole' value='{{ user.role }}'>
                    </div>
                </div>
            </div>

            
        </div>
    </div>    
        
    <link rel='stylesheet' type='text/css' href='{% static "css/search/bootstrap-datepicker3.min.css" %}' rel='stylesheet'/>
    <link rel='stylesheet' type='text/css' href='{% static "css/search/selectize.bootstrap3.css" %}' rel='stylesheet'/>
    <link rel='stylesheet' type='text/css' href='{% static "css/search/bootstrap-select.min.css" %}' rel='stylesheet'/>
    <link rel='stylesheet' type='text/css' href='{% static "css/search/awesome-bootstrap-checkbox.css" %}' rel='stylesheet'/>
    <link rel='stylesheet' type='text/css' href='{% static "css/search/query-builder.default.min.css" %}' rel='stylesheet'/>

    <script src='{% static "js/search/moment.min.js" %}'></script>
    <script src='{% static "js/search/bootstrap-datepicker.min.js" %}'></script>
    <script src='{% static "js/search/selectize.min.js" %}'></script>
    <script src='{% static "js/search/bootstrap-select.min.js" %}'></script>
    <script src='{% static "js/search/query-builder.standalone.min.js" %}'></script>
    <script src='{% static "js/search/interact.min.js" %}'></script>
    <script src='{% static "js/search/init_query.js" %}'></script>

    <div style='display: none'>
        <input type="text" id="sessInfo" value="{{ user.uuid }};{{ token }};{{user.nbOfDays}};-1">
    </div>
{% endblock %}
